package domain


type AlibabaWdkOrderGetIdListQueryRequest struct {
    /*
        中台订单号     */
    BizIdList  *[]int64 `json:"biz_id_list,omitempty" `

    /*
        淘系订单号     */
    TbBizIdList  *[]int64 `json:"tb_biz_id_list,omitempty" `

    /*
        渠道来源     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        渠道店id     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        经营店id     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道单号     */
    OutOrderIdList  *[]string `json:"out_order_id_list,omitempty" `

}

func (s *AlibabaWdkOrderGetIdListQueryRequest) SetBizIdList(v []int64) *AlibabaWdkOrderGetIdListQueryRequest {
    s.BizIdList = &v
    return s
}
func (s *AlibabaWdkOrderGetIdListQueryRequest) SetTbBizIdList(v []int64) *AlibabaWdkOrderGetIdListQueryRequest {
    s.TbBizIdList = &v
    return s
}
func (s *AlibabaWdkOrderGetIdListQueryRequest) SetOrderFrom(v int64) *AlibabaWdkOrderGetIdListQueryRequest {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaWdkOrderGetIdListQueryRequest) SetShopId(v string) *AlibabaWdkOrderGetIdListQueryRequest {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkOrderGetIdListQueryRequest) SetStoreId(v string) *AlibabaWdkOrderGetIdListQueryRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkOrderGetIdListQueryRequest) SetOutOrderIdList(v []string) *AlibabaWdkOrderGetIdListQueryRequest {
    s.OutOrderIdList = &v
    return s
}
